---@type ChadrcConfig
local M = {}

-- Path to overriding theme and highlights files
local highlights = require "highlights"
M.ui = {
  statusline = {
    order = { "mode", "file", "git", "%=", "lsp_msg", "%=", "diagnostics", "lsp", "cwd", "cursor", "grapple" },
    modules = {
      cursor = function()
        return "%#St_pos_sep#" .. "" .. "%#St_pos_icon# %#St_pos_text# [%l,%c]"
      end,
      grapple = "%#St_cwd_sep#"
        .. " "
        .. "%#St_cwd_icon#"
        .. "󰛢 "
        .. "%#St_cwd_text#"
        .. require("grapple").statusline {
          include_icon = false,
          inactive = " %s",
        },
    },
  },
}
M.base46 = {
  hl_override = highlights.override,
  hl_add = highlights.add,
  theme = "lunar_witch",
}

return M
